public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-misc/ca-certificates/
Date: Mon,  5 Jun 2023 03:57:22 +0000 (UTC)	[thread overview]
Message-ID: <1685937416.1259f428693beec7513f8f73e29ea5fe9880caae.sam@gentoo> (raw)

commit:     1259f428693beec7513f8f73e29ea5fe9880caae
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Jun  5 03:54:50 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Jun  5 03:56:56 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1259f428

app-misc/ca-certificates: add 20230311.3.90

Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-misc/ca-certificates/Manifest                  |   1 +
 .../ca-certificates-20230311.3.90.ebuild           | 206 +++++++++++++++++++++
 2 files changed, 207 insertions(+)

diff --git a/app-misc/ca-certificates/Manifest b/app-misc/ca-certificates/Manifest
index 6c74c5d06388..3a148c82e7d6 100644
--- a/app-misc/ca-certificates/Manifest
+++ b/app-misc/ca-certificates/Manifest
@@ -3,4 +3,5 @@ DIST ca-certificates_20230311.tar.xz 257772 BLAKE2B b807a6415126afdc11896efea8e6
 DIST nss-3.88.1.tar.gz 71607211 BLAKE2B ff84d3153a01519a52e83be5327453d8e6a81e1f62ccd69906b549fe42ec5ebf075b403395a67bc75f3c7f7dd33ef49f3b1f33558652ff75ee87e2970b2e06a4 SHA512 d15289803a4c3caa1b7a8872b761a95b4f571688c8b8ffaf2a1478e032a356fbcf8a9239ebe1777561503329f63dd237384e1d8af9ca70fb48b40e70954b455a
 DIST nss-3.89.1.tar.gz 71624456 BLAKE2B fca6e09375ba2ce4a6f0bf189cabb9cdb1ba7cb5ebc1a49d47a2d6b509936a60d7f1867f71cdcfa6a81c0cbbf298513981a9b16ac23bbc464c7004bb40b830b4 SHA512 aeece4e8bc28113fc53997b29c89d40b4be74fee4f5d27c4e065d2fa6701038442f4eeeb1fcf98befedb03537a5a48a4701fe270f56197da57946529f9fa02dd
 DIST nss-3.89.tar.gz 71617802 BLAKE2B 92428a635167f311b258411420c8073fafdbadef5b1fc4ff8400e41834fc67a03f2151265d5bbfb64ae53b9a8acb29750352f6c2c83d1cd9a2f89a2139ad34c9 SHA512 1db06d4575f2c16d2a0629007981211e714f99c014c0a6256dd33d0caf8c809ba8d5be204d018f9d1cc99b9fcd055ac1fb99b399486ed43c9cf3f55f2747de82
+DIST nss-3.90.tar.gz 72211928 BLAKE2B 9518bed4f8ca5f9dd1c3d15e255f9954fabc30762ff6db7e45ab54fd0d7d7a34e2c021ecc76b5dcac97c571914e9af116a8c1361a5f2f055a31db168518a99a7 SHA512 e41f4de73f4971c8f35dffe3926b6845ef12a1ce7e8f3fe682e643ddb791a009d079c1706f66d065333af884726840dbc96d4e44762f9c3e48b8d919c09ae625
 DIST nss-cacert-class1-class3-r2.patch 21925 BLAKE2B 7627ff9a09f084c19d72d0490676865e3cab3ca7c920ae1ce4bea2db664f37fd0aa84fcda919809a516891ab2a62e2e7a43a9d6ada4c231adfe4c216525fac7d SHA512 1ce6ff9ab310aaca9005eafb461338b291df8523cc7044e096cd75774ce746c26eed19ec6bb2643c6c67f94650f2f309463492d80a90568f38ce2557f8ada2f4

diff --git a/app-misc/ca-certificates/ca-certificates-20230311.3.90.ebuild b/app-misc/ca-certificates/ca-certificates-20230311.3.90.ebuild
new file mode 100644
index 000000000000..83c66b14c12c
--- /dev/null
+++ b/app-misc/ca-certificates/ca-certificates-20230311.3.90.ebuild
@@ -0,0 +1,206 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# The Debian ca-certificates package merely takes the CA database as it exists
+# in the nss package and repackages it for use by openssl.
+#
+# The issue with using the compiled debs directly is two fold:
+# - they do not update frequently enough for us to rely on them
+# - they pull the CA database from nss tip of tree rather than the release
+#
+# So we take the Debian source tools and combine them with the latest nss
+# release to produce (largely) the same end result.  The difference is that
+# now we know our cert database is kept in sync with nss and, if need be,
+# can be sync with nss tip of tree more frequently to respond to bugs.
+
+# Where possible, bump to stable/LTS releases of NSS for the last part
+# of the version (when not using a pure Debian release).
+
+# When triaging user reports, refer to our wiki for tips:
+# https://wiki.gentoo.org/wiki/Certificates#Debugging_certificate_issues
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit python-any-r1
+
+if [[ ${PV} == *.* ]] ; then
+	# Compile from source ourselves.
+	PRECOMPILED=false
+
+	DEB_VER=$(ver_cut 1)
+	NSS_VER=$(ver_cut 2-)
+	RTM_NAME="NSS_${NSS_VER//./_}_RTM"
+else
+	# Debian precompiled version.
+	PRECOMPILED=true
+	inherit unpacker
+fi
+
+DESCRIPTION="Common CA Certificates PEM files"
+HOMEPAGE="https://packages.debian.org/sid/ca-certificates"
+NMU_PR=""
+if ${PRECOMPILED} ; then
+	SRC_URI="mirror://debian/pool/main/c/${PN}/${PN}_${PV}${NMU_PR:++nmu}${NMU_PR}_all.deb"
+else
+	SRC_URI="
+		mirror://debian/pool/main/c/${PN}/${PN}_${DEB_VER}${NMU_PR:++nmu}${NMU_PR}.tar.xz
+		https://archive.mozilla.org/pub/security/nss/releases/${RTM_NAME}/src/nss-${NSS_VER}.tar.gz
+		cacert? (
+			https://dev.gentoo.org/~whissi/dist/ca-certificates/nss-cacert-class1-class3-r2.patch
+		)
+	"
+fi
+
+LICENSE="MPL-1.1"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE=""
+${PRECOMPILED} || IUSE+=" cacert"
+
+# c_rehash: we run `c_rehash`
+# debianutils: we run `run-parts`
+CDEPEND="
+	sys-apps/debianutils"
+
+BDEPEND="${CDEPEND}"
+if ! ${PRECOMPILED} ; then
+	BDEPEND+=" ${PYTHON_DEPS}"
+fi
+
+DEPEND=""
+if ${PRECOMPILED} ; then
+	DEPEND+=" !<sys-apps/portage-2.1.10.41"
+fi
+
+RDEPEND="${CDEPEND}
+	${DEPEND}"
+
+S="${WORKDIR}"
+
+pkg_setup() {
+	# For the conversion to having it in CONFIG_PROTECT_MASK,
+	# we need to tell users about it once manually first.
+	[[ -f "${EPREFIX}"/etc/env.d/98ca-certificates ]] \
+		|| ewarn "You should run update-ca-certificates manually after etc-update"
+
+	if ! ${PRECOMPILED} ; then
+		python-any-r1_pkg_setup
+	fi
+}
+
+src_unpack() {
+	if ! ${PRECOMPILED} ; then
+		default
+		# Initial 20200601 deb release had bad naming inside the debian source tarball.
+		DEB_S="${WORKDIR}/${PN}-${DEB_VER}"
+		DEB_BAD_S="${WORKDIR}/work"
+		if [[ -d "${DEB_BAD_S}" ]] && [[ ! -d "${DEB_S}" ]] ; then
+			mv "${DEB_BAD_S}" "${DEB_S}"
+		fi
+	fi
+
+	# Do all the work in the image subdir to avoid conflicting with source
+	# dirs in ${WORKDIR}.  Need to perform everything in the offset #381937
+	mkdir -p "image/${EPREFIX}" || die
+	cd "image/${EPREFIX}" || die
+
+	${PRECOMPILED} && unpacker_src_unpack
+}
+
+src_prepare() {
+	cd "image/${EPREFIX}" || die
+
+	if ! ${PRECOMPILED} ; then
+		mkdir -p usr/sbin || die
+		cp -p "${S}"/${PN}/sbin/update-ca-certificates \
+			usr/sbin/ || die
+
+		if use cacert ; then
+			pushd "${S}"/nss-${NSS_VER} >/dev/null || die
+			eapply "${DISTDIR}"/nss-cacert-class1-class3-r2.patch
+			popd >/dev/null || die
+		fi
+	fi
+
+	default
+	eapply -p2 "${FILESDIR}"/${PN}-20150426-root.patch
+
+	pushd "${S}/${PN}" >/dev/null || die
+	# We patch out the dep on cryptography as it's not particularly useful
+	# for us. Please see the discussion in bug #821706. Not to be removed lightly!
+	eapply "${FILESDIR}"/${PN}-20230311.3.89-no-cryptography.patch
+	popd >/dev/null || die
+
+	local relp=$(echo "${EPREFIX}" | sed -e 's:[^/]\+:..:g')
+	sed -i \
+		-e '/="$ROOT/s:ROOT:ROOT'"${EPREFIX}"':' \
+		-e '/RELPATH="\.\./s:"$:'"${relp}"'":' \
+		usr/sbin/update-ca-certificates || die
+}
+
+src_compile() {
+	cd "image/${EPREFIX}" || die
+
+	if ! ${PRECOMPILED} ; then
+		local d="${S}/${PN}/mozilla" c="usr/share/${PN}"
+
+		# Grab the database from the nss sources.
+		cp "${S}"/nss-${NSS_VER}/nss/lib/ckfw/builtins/{certdata.txt,nssckbi.h} "${d}" || die
+		emake -C "${d}"
+
+		# Now move the files to the same places that the precompiled would.
+		mkdir -p etc/ssl/certs \
+			etc/ca-certificates/update.d \
+			"${c}"/mozilla \
+			|| die
+		if use cacert ; then
+			mkdir -p "${c}"/cacert.org || die
+			mv "${d}"/CA_Cert_Signing_Authority.crt \
+				"${c}"/cacert.org/cacert.org_class1.crt || die
+			mv "${d}"/CAcert_Class_3_Root.crt \
+				"${c}"/cacert.org/cacert.org_class3.crt || die
+		fi
+		mv "${d}"/*.crt "${c}"/mozilla/ || die
+	else
+		mv usr/share/doc/{ca-certificates,${PF}} || die
+	fi
+
+	(
+		echo "# Automatically generated by ${CATEGORY}/${PF}"
+		echo "# $(date -u)"
+		echo "# Do not edit."
+		cd "${c}" || die
+		find * -name '*.crt' | LC_ALL=C sort
+	) > etc/ca-certificates.conf
+
+	sh usr/sbin/update-ca-certificates --root "${S}/image" || die
+}
+
+src_install() {
+	cp -pPR image/* "${D}"/ || die
+	if ! ${PRECOMPILED} ; then
+		cd ${PN} || die
+		doman sbin/*.8
+		dodoc debian/README.* examples/ca-certificates-local/README
+	fi
+
+	echo 'CONFIG_PROTECT_MASK="/etc/ca-certificates.conf"' > 98ca-certificates || die
+	doenvd 98ca-certificates
+}
+
+pkg_postinst() {
+	if [[ -d "${EROOT}/usr/local/share/ca-certificates" ]] ; then
+		# If the user has local certs, we need to rebuild again
+		# to include their stuff in the db.
+		# However it's too overzealous when the user has custom certs in place.
+		# --fresh is to clean up dangling symlinks
+		"${EROOT}"/usr/sbin/update-ca-certificates --root "${ROOT}"
+	fi
+
+	if [[ -n "$(find -L "${EROOT}"/etc/ssl/certs/ -type l)" ]] ; then
+		ewarn "Removing the following broken symlinks:"
+		ewarn "$(find -L "${EROOT}"/etc/ssl/certs/ -type l -printf '%p -> %l\n' -delete)"
+	fi
+}


             reply	other threads:[~2023-06-05  3:57 UTC|newest]

Thread overview: 202+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-06-05  3:57 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-01 18:55 [gentoo-commits] repo/gentoo:master commit in: app-misc/ca-certificates/ Mike Gilbert
2024-06-01  3:46 Ionen Wolkens
2024-04-29  8:12 Arthur Zamarin
2024-03-15 20:26 Arthur Zamarin
2024-03-14  8:18 Arthur Zamarin
2024-03-14  7:48 Arthur Zamarin
2024-03-14  6:44 Sam James
2024-03-14  6:23 Sam James
2024-03-14  6:19 Sam James
2024-03-14  6:11 Sam James
2024-03-14  6:06 Sam James
2024-02-08  1:36 Sam James
2024-02-03  6:56 Sam James
2024-02-02 16:27 Arthur Zamarin
2024-02-02 13:34 Arthur Zamarin
2024-02-02  6:40 Sam James
2024-02-02  4:33 Sam James
2024-01-22 13:12 Sam James
2024-01-18  0:28 Sam James
2024-01-17  8:53 Arthur Zamarin
2024-01-17  6:34 Sam James
2024-01-17  5:59 Sam James
2024-01-17  5:50 Sam James
2024-01-17  5:33 Sam James
2024-01-03  2:20 Ionen Wolkens
2023-12-21 16:01 Arthur Zamarin
2023-12-21 15:15 Sam James
2023-12-21 13:18 Arthur Zamarin
2023-12-21 12:56 Sam James
2023-12-21 11:55 Sam James
2023-12-21 11:55 Sam James
2023-12-21 11:12 Arthur Zamarin
2023-12-02  7:13 Sam James
2023-11-20 17:06 Robin H. Johnson
2023-09-01  8:02 Sam James
2023-06-05  3:59 Sam James
2023-05-13  7:15 Arthur Zamarin
2023-05-13  5:08 Sam James
2023-05-13  3:17 Sam James
2023-05-13  3:17 Sam James
2023-05-13  3:17 Sam James
2023-05-13  3:17 Sam James
2023-05-13  3:17 Sam James
2023-05-13  3:17 Sam James
2023-05-06  8:48 Sam James
2023-05-06  8:48 Sam James
2023-05-06  8:48 Sam James
2023-03-24 13:49 Arthur Zamarin
2023-03-24 13:48 Arthur Zamarin
2023-03-22  9:37 Sam James
2023-03-10  9:33 Sam James
2023-03-10  8:08 Sam James
2023-03-10  8:08 Sam James
2023-03-10  8:08 Sam James
2023-03-10  7:44 Arthur Zamarin
2023-03-10  7:44 Arthur Zamarin
2023-03-10  7:44 Arthur Zamarin
2023-03-10  7:44 Arthur Zamarin
2023-03-10  7:44 Arthur Zamarin
2023-02-16  5:28 Sam James
2023-02-04  1:48 Mike Gilbert
2023-01-09  5:53 Sam James
2023-01-09  5:41 Sam James
2023-01-09  5:41 Sam James
2023-01-09  5:41 Sam James
2023-01-09  5:41 Sam James
2023-01-09  5:41 Sam James
2023-01-09  5:41 Sam James
2023-01-09  5:41 Sam James
2023-01-06  8:40 Sam James
2022-12-10  3:26 Sam James
2022-11-18 11:18 Arthur Zamarin
2022-11-18  7:00 Arthur Zamarin
2022-11-18  7:00 Sam James
2022-11-18  6:50 Arthur Zamarin
2022-11-18  6:48 Arthur Zamarin
2022-11-18  6:47 Arthur Zamarin
2022-11-18  6:46 Sam James
2022-11-18  6:46 Sam James
2022-11-18  6:23 Sam James
2022-11-18  6:23 Sam James
2022-09-23  6:14 Sam James
2022-09-17  5:38 Arthur Zamarin
2022-09-16 18:27 Arthur Zamarin
2022-09-16  8:40 Arthur Zamarin
2022-09-07  1:50 Sam James
2022-09-06 21:59 Jakov Smolić
2022-09-06 21:53 Sam James
2022-09-06 21:49 Jakov Smolić
2022-09-06 21:37 Sam James
2022-09-06 21:35 Sam James
2022-07-05  2:30 Sam James
2022-06-02  5:38 Sam James
2022-04-25 15:59 Sam James
2022-04-03  1:48 Sam James
2022-03-31  0:47 Sam James
2021-11-04 19:07 Sam James
2021-11-04 17:53 Lars Wendler
2021-11-04 17:53 Lars Wendler
2021-10-15 14:33 Thomas Deutschmann
2021-09-27  4:26 Robin H. Johnson
2021-05-28 19:36 Thomas Deutschmann
2021-05-28 19:16 Thomas Deutschmann
2021-04-16 11:35 Thomas Deutschmann
2021-04-16 11:35 Thomas Deutschmann
2021-03-17 20:49 Thomas Deutschmann
2021-02-21 12:10 Lars Wendler
2021-02-21 12:10 Lars Wendler
2021-02-15 23:44 Mike Frysinger
2020-12-14 21:42 Thomas Deutschmann
2020-11-14 22:56 Thomas Deutschmann
2020-10-06 16:36 Lars Wendler
2020-08-20 15:08 Thomas Deutschmann
2020-06-02 17:28 Thomas Deutschmann
2020-06-02 17:13 Robin H. Johnson
2020-06-01 22:56 Robin H. Johnson
2020-04-17 20:59 Andreas Sturmlechner
2019-07-18  8:25 Lars Wendler
2019-07-18  8:25 Lars Wendler
2019-07-18  8:16 Agostino Sarubbo
2019-05-04 10:35 Andreas K. Hüttel
2019-03-18 14:29 Lars Wendler
2019-02-19 12:28 Fabian Groffen
2019-02-18  9:02 Lars Wendler
2019-01-07 19:53 Thomas Deutschmann
2019-01-07 19:53 Thomas Deutschmann
2018-12-25 20:18 Lars Wendler
2018-10-01 14:03 Lars Wendler
2018-05-08  8:47 Lars Wendler
2018-04-22 17:34 Thomas Deutschmann
2018-04-20  6:54 Sergei Trofimovich
2018-04-18 11:31 Mikle Kolyada
2018-04-18  8:27 Lars Wendler
2018-04-18  8:27 Lars Wendler
2018-04-18  4:37 Mart Raudsepp
2018-04-17 22:50 Thomas Deutschmann
2018-04-17 16:01 Thomas Deutschmann
2018-04-17  9:39 Lars Wendler
2018-04-11  8:19 Lars Wendler
2018-03-07  9:14 Lars Wendler
2018-03-07  9:13 Lars Wendler
2018-01-20 10:04 Lars Wendler
2018-01-20 10:04 Lars Wendler
2018-01-12  4:10 Mike Frysinger
2017-12-24  9:46 Mart Raudsepp
2017-11-29 17:27 Lars Wendler
2017-11-29 17:27 Lars Wendler
2017-11-15 18:51 Lars Wendler
2017-11-01 14:50 Jeroen Roovers
2017-09-21 22:26 Lars Wendler
2017-09-21 22:26 Lars Wendler
2017-09-14 21:24 Lars Wendler
2017-09-14 21:24 Lars Wendler
2017-08-08  7:40 Lars Wendler
2017-08-08  7:40 Lars Wendler
2017-08-08  7:40 Lars Wendler
2017-08-08  7:40 Lars Wendler
2017-05-05 13:49 Lars Wendler
2017-05-05 13:49 Lars Wendler
2017-04-06 13:08 Lars Wendler
2017-04-06 13:08 Lars Wendler
2017-03-24  9:29 Lars Wendler
2017-03-23  7:59 Lars Wendler
2017-03-08  9:47 Lars Wendler
2017-03-08  9:47 Lars Wendler
2017-02-21  9:30 Lars Wendler
2017-02-18  6:45 Lars Wendler
2017-02-18  5:47 Markus Meier
2017-02-14 10:35 Lars Wendler
2017-02-14 10:35 Lars Wendler
2017-01-12 22:02 Lars Wendler
2017-01-12 22:02 Lars Wendler
2017-01-10  7:16 Jeroen Roovers
2017-01-06 14:33 Tobias Klausmann
2017-01-04 11:23 Agostino Sarubbo
2016-12-23 13:10 Lars Wendler
2016-12-03 20:20 Lars Wendler
2016-12-02 17:05 Lars Wendler
2016-12-02 14:48 Lars Wendler
2016-12-02 14:48 Lars Wendler
2016-10-28  9:28 Lars Wendler
2016-10-25 18:45 Lars Wendler
2016-10-25 14:52 Lars Wendler
2016-10-05  7:59 Lars Wendler
2016-10-05  7:53 Lars Wendler
2016-10-05  7:53 Lars Wendler
2016-04-22 18:12 Mike Frysinger
2016-03-21  2:39 Mike Frysinger
2016-03-21  2:39 Mike Frysinger
2016-02-29  8:46 Stephen Klimaszewski
2016-02-20  7:46 Jeroen Roovers
2016-02-13 15:33 Agostino Sarubbo
2016-02-12  9:00 Jeroen Roovers
2016-02-10 20:48 Markus Meier
2016-02-06 16:28 Robin H. Johnson
2016-02-04 11:08 Tobias Klausmann
2015-12-22 23:35 Mike Frysinger
2015-11-25 14:23 Benda XU
2015-10-01  9:40 Julian Ospald
2015-09-26 17:46 Mike Frysinger
2015-09-20 13:28 Julian Ospald

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1685937416.1259f428693beec7513f8f73e29ea5fe9880caae.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox